/*
 * Designed and developed by 2022 skydoves (Jaewoong Eum)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.skydoves.sealedx.processor.model

import com.google.devtools.ksp.symbol.KSType
import com.skydoves.sealedx.core.annotations.ExtensiveModel

/**
 * @author skydoves (Jaewoong Eum)
 * @since 1.0.0
 *
 * ExtensiveModelBag is a data wrapper class to contains [ExtensiveModel]'s metadata.
 *
 * @param name The name value from the [ExtensiveModel].
 * @param type The [KSType] of the type from the [ExtensiveModel].
 */
internal data class ExtensiveModelBag(
  val name: String,
  val type: KSType
)
